Subject: RE: [Sip] draft-ietf-sip-connected-identity-01 comments

From: "Elwell, John" <[email-masked]>
Date: Thu, 21 Sep 2006 17:53:40 +0100

Paul,

See in-line. Any other opinions on the section 6.2 and 6.5 items?

John 

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]] 
> Sent: 15 September 2006 23:28
> To: Elwell, John
> Cc: SIP
> Subject: Re: [Sip] draft-ietf-sip-connected-identity-01 comments
> 
> I finally read this version carefully. It looks good to me. I 
> only found 
> a few minor things:
> 
> * Section 1 - Terminology:
> 
>         "callee: the user that answers a call by issuing a 
> 2xx response
>          to an INVITE request."
> 
> for consistency with the definition of caller, I suggest this say:
> 
>         "callee: the user of the UA that answers a call by issuing a
>          2xx response to an INVITE request."
[JRE] Yes, my mistake.

> 
> * Section 6.2:
> 
> When sending an UPDATE or reINVITE request that changes the connected 
> identity, I think it makes sense that the sender MUST include 
> Required:id-change. AFAICT in all cases when a change is sent a 
> Supported:id-change has already been received, so it should not be 
> necessary to send a Require. But doing so could cover some cases when 
> things go amiss. And the scope of a Supported header is one of those 
> things that isn't well defined, so better to be safe.
[JRE] Your proposal doesn't seem to do any harm and might conceivably help.
As this would be a technical change, any other opinions?

> 
> * Section 6.5:
> 
> There remains an issue of whether there will in fact be an 
> authentication service on the recorded route for the dialog. 
> To ensure 
> this, during dialog establishment, the presence of 
> Supported:id-change 
> could be used as a hint that an authentication service should be 
> included and Record-Route.
[JRE] This is a good point. I propose the following text: "A proxy that is
able to provide an Authentication Service for mid-dialog requests SHOULD
record route if Supported: id-change is indicated in the dialog forming
request." I used SHOULD because there may be reasons not to (e.g., it is
known that some other proxy or the UA itself can provide an Authentication
Service.

> 
> * Section 11.1 - Normative References:
> 
> Reference [3] is out of date. This is now RFC 4474.
[JRE] OK
> 	Thanks,
> 	Paul

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip